# Get social account friends

Gets a list of user’s friends from a social provider.


{% html name="div" attrs={"class": "notice"} %}
Notice

Rate limits for client-side methods are applied to this method.
{% /html %}

Endpoint: GET /users/me/social_friends
Version: v1
Security: Bearer

## Query parameters:

  - `platform` (string)
    Name of the chosen social provider which you can enable in your Publisher Account > your Login project > Social connections. If you do not specify it, the call gets friends from all social providers.
    Enum: "steam", "xbox", "twitter", "facebook", "vk"

  - `offset` (integer)
    Number of the elements from which the list is generated.

  - `limit` (integer)
    Maximum number of friends that are returned at a time.

  - `with_xl_uid` (boolean)
    Shows whether the social friends are from your game.

## Response 200 fields (application/json):

  - `data` (array)
    List of data from social friends accounts.
    Example: [{"avatar":"https://pbs.twimg.com/profile_images/874276177757336672/kUuht00m_400x400.jpg","name":"John Smith","platform":"twitter","user_id":"johnsmith007","xl_uid":"2a6e0079-d7a7-11e8-963b-82010aa80778"},{"avatar":"https://sun9-61.userapi.com/c10785/u105544870/e_dr9637b7.jpg?ava=1","name":"Riley Parker","platform":"vk","user_id":"19932423423424390","xl_uid":"1e6e2979-d7f7-11e8-963b-42010aa80910"}]

  - `data.avatar` (string)
    Friend’s avatar from a social provider.

  - `data.name` (string, required)
    Friend’s name from a social provider.

  - `data.platform` (string, required)
    Name of a social provider.

  - `data.tag` (string)
    User tag without "#" at the beginning. Can have no unique value and can be used in the [Search users by nickname](https://developers.xsolla.com/api/login/operation/search-users-by-nickname) call.

  - `data.user_id` (string, required)
    User ID from a social provider.

  - `data.xl_uid` (string)
    The Xsolla Login user ID. You can find it in [Publisher Account](https://publisher.xsolla.com/) > your Login project > Users > Username/ID.

  - `limit` (integer, required)
    Maximum number of friends that are returned at a time.
    Example: 500

  - `offset` (integer, required)
    Number of the elements from which the list is generated.
    Example: 1000

  - `platform` (string)
    Name of a social provider.

  - `total_count` (integer, required)
    Total number of friends that you can get.
    Example: 4000

  - `with_xl_uid` (boolean)
    Shows whether the social friends are from your game.
    Example: true

## Response 401 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.

## Response 429 fields (application/json):

  - `error` (object, required)

  - `error.code` (string, required)
    Error code.
    Example: "003-061"

  - `error.description` (string, required)
    Error description.
    Example: "Object not found."

  - `error.details` (object)
    Additional information.


